Name:		iax
Version:	0.2.2 
Release:	alt1_11
Summary:	Implementation of Inter-Asterisk eXchange protocol
Group:		System/Libraries
License:	GPL+ and LGPLv2+
URL:		http://downloads.digium.com/pub/libiax/
Source0:	http://downloads.digium.com/pub/libiax/%{name}-%{version}.tar.gz
Patch0:		iax-0.2.2-DESTDIR.patch
BuildRequires:	libtool
Source44: import.info

%description
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks), is the 
protocol used by the Asterisk PBX system for inter-asterisk-communication.  
Other applications may use libiax to communicate with each other and other 
asterisk servers.  IAX is a high performance, feature rich protocol unrelated
to SIP or H.323.  Its single-socket design allows it to interoperate with NAT 
and PAT masquerade firewalls.  It supports internationalization, remote 
dialplans, and voice, HTML, image, DTMF, and video content.

%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .DESTDIR
# We don't need to invoke this here. Non-package installs might.
sed -i 's|/sbin/ldconfig||g' src/Makefile.am

# Fix libdir in iax-config.in
sed -i 's|${exec_prefix}/lib|${exec_prefix}/%{_lib}|g' iax-config.in
sed -i 's|/usr/lib|%{_libdir}|g' iax-config.in
autoreconf -if

%build
%configure --disable-static
make %{?_smp_mflags} UCFLAGS="%{optflags}"

%install
make install DESTDIR=%{buildroot}
pushd src
make install-am DESTDIR=%{buildroot}
popd 
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%doc COPYING COPYING.LIB ChangeLog README
%{_libdir}/libiax.so.*

%files devel
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_libdir}/libiax.so

%changelog
* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_11
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_10
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_9
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_8
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_7
- initial fc import

